import java.sql.*;

class Kaust{
	static void lisa(String kaustanimi) {
		Statement st; //
		ResultSet rs; // tulemuste kogum
		String lause; // sql päring		
		
		try{			
			st=EMaterjal.cn.createStatement();				
			lause="INSERT INTO teema(teema,vanem) VALUES('"+Kontroll.asenda(kaustanimi)+"',"+EMaterjal.ID+");";						
			st.executeUpdate(lause);			
			EMaterjal.pw.println("Teema lisatud<br/><a href=/examples/servlet/EMaterjal/?id="+EMaterjal.ID+"><h1>Tagasi</h1></a>");
		}catch(Exception e){
			EMaterjal.pw.println("(Kaust:lisa):"+e);
		}
	}
	static void muuda(String muudetav, String kuskohas){
		EMaterjal.pw.println("olemas");
		Statement st; //
		ResultSet rs; // tulemuste kogum
		String lause; // sql päring		
		
		
		// update <tabel> set väli=väärtus where <tingimus>
		try{			
			st=EMaterjal.cn.createStatement();				
			lause="update teema set teema='"+muudetav+"' where id="+kuskohas+";";						
			st.executeUpdate(lause);			
			EMaterjal.pw.println("nimi muudetud");
		}catch(Exception e){
			EMaterjal.pw.println("(Kaust:lisa):"+e);
		}
	}
	static void kustuta(String kustutatav){
		//delete from test_table  where lname = 'Smith';
		Statement st; //
		ResultSet rs; // tulemuste kogum
		String lause; // sql päring		
		
		try{			
			st=EMaterjal.cn.createStatement();				
			lause="DELETE FROM teema WHERE id="+Integer.parseInt(kustutatav)+";";						
			st.executeUpdate(lause);			
			EMaterjal.pw.println("Teema kustutatud<br/><a href=/examples/servlet/EMaterjal/?id="+EMaterjal.ID+"><h1>Tagasi</h1></a>");
		}catch(Exception e){
			EMaterjal.pw.println("(Kaust:lisa):"+e);
		}
	}	
	static void lisamine(){
		EMaterjal.pw.println("<form target=/examples/servlet/Administreerimine?id="+EMaterjal.ID+"&lk="+Administreerimine.lk+"&operatsioon="+Administreerimine.operatsioon+" method=post");
		EMaterjal.pw.println("<input type=text name=kaustanimi>\n");
		EMaterjal.pw.println("<input type=submit value=saada>\n");
		EMaterjal.pw.println("</form>");	
	}
	static void muutmine(String muudetav){
		String vanavaartus=" ";
		Statement st; //
		ResultSet rs; // tulemuste kogum
		String lause; // sql päring		
		
		try{
			st=EMaterjal.cn.createStatement();				
			lause="SELECT * FROM teema WHERE ID="+Integer.parseInt(muudetav);						
			rs=st.executeQuery(lause);			
			rs.next();								
			vanavaartus=rs.getString("teema");
			EMaterjal.pw.println("paringu vastus olemas");
		}catch(Exception e){
			EMaterjal.pw.println("(Kaust:lisa):"+e);
		}
		
		EMaterjal.pw.println("<form target=/examples/servlet/Administreerimine?id="+EMaterjal.ID+"&lk="+Administreerimine.lk+"&operatsioon="+Administreerimine.operatsioon+" method=post");
		EMaterjal.pw.println("<input type=text name=vaartus value='"+vanavaartus+"'>\n");
		EMaterjal.pw.println("<input type=submit value=saada>\n");
		EMaterjal.pw.println("</form>");		
	}	
}